/*!
 * @ngx-dummy/Accordion-Simple library
 * Simple accordion created for angular / ionic projects.
 * https://github.com/ngx-dummy/accordion-simple
 *
 * Copyright  Vladimir Ovsyukov <ovsyukov@yandex.com>
 * Published under GNU LGPLv3 License
 */
import { InjectionToken } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { IToggler } from './settings/';
import * as i0 from "@angular/core";
export declare function iniTogglerFn(): IToggler[];
export declare const INI_STATE: InjectionToken<IToggler[]>;
export declare class AccordionOpenService extends BehaviorSubject<IToggler[]> {
    constructor(iniState?: IToggler[]);
    get itemsOpen$(): import("rxjs").Observable<IToggler[]>;
    get itemsOpenSnapshot(): IToggler[];
    setItemsOpen: (itemsStats: IToggler[]) => void;
    close: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionOpenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AccordionOpenService>;
}
//# sourceMappingURL=accordion-open.service.d.ts.map